podebug(1)

NAME
podebug - Insert debug messages into XLIFF and Gettext PO localization files.

SYNOPSIS

podebug [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-S|--timestamp] [-f|--format] [--rewrite STYLE] [--ignore APPLICATION] [--preserveplaceholders]

DESCRIPTION
See: http://docs.translatehouse.org/projects/translate-toolkit/en/latest/commands/podebug.html for examples and usage instructions.

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in po, pot, pot, tmx, xlf, xliff formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot, tmx, xlf, xliff formats

-S/--timestamp
    skip conversion if the output file has newer timestamp

-f/--format
    specify format string

--rewrite
    the translation rewrite style: blank, bracket, chef, en, flipped, unicode, xxx

--ignore
    apply tagging ignore rules for the given application: gtk, kde, libreoffice, mozilla, openoffice

--preserveplaceholders
    attempt to exclude characters that are part of placeholders when performing character-level rewrites so that consuming applications can still use the placeholders to generate final output